| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::bgsegm::BackgroundSubtractorLSBP Class Referenceabstract
Improved Background-Foreground Segmentation Methods

Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at [116]. More...

`#include <opencv2/bgsegm.hpp>`

Collaboration diagram for cv::bgsegm::BackgroundSubtractorLSBP:

## Public Member Functions
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate=-1) CV_OVERRIDE=0
| Computes a foreground mask.
virtual void | getBackgroundImage (OutputArray backgroundImage) const CV_OVERRIDE=0
| Computes a background image.
Public Member Functions inherited from cv::BackgroundSubtractor
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Background Subtraction using Local SVD Binary Pattern. More details about the algorithm can be found at [116].

## Member Function Documentation

## ◆ apply()

virtual void cv::bgsegm::BackgroundSubtractorLSBP::apply | ( | InputArray | image,
|  | OutputArray | fgmask,
|  | double | learningRate = -1 )
| pure virtual

Python:
| cv.bgsegm.BackgroundSubtractorLSBP.apply( | image[, fgmask[, learningRate]] | ) -> | fgmask

Computes a foreground mask.

Parameters

  image | Next video frame.
  fgmask | The output foreground mask as an 8-bit binary image.
  learningRate | The value between 0 and 1 that indicates how fast the background model is learnt. Negative parameter value makes the algorithm to use some automatically chosen learning rate. 0 means that the background model is not updated at all, 1 means that the background model is completely reinitialized from the last frame.

Implements cv::BackgroundSubtractor.

## ◆ getBackgroundImage()

virtual void cv::bgsegm::BackgroundSubtractorLSBP::getBackgroundImage | ( | OutputArray | backgroundImage | ) | const
| pure virtual

Python:
| cv.bgsegm.BackgroundSubtractorLSBP.getBackgroundImage( | [, backgroundImage] | ) -> | backgroundImage

Computes a background image.

Parameters

  backgroundImage | The output background image.

Note
  Sometimes the background image can be very blurry, as it contain the average background statistics.

Implements cv::BackgroundSubtractor.

The documentation for this class was generated from the following file:

- opencv2/bgsegm.hpp